
QGIS Application - Bug report #10514

"Digitizing" the cursor icon always have a pink cross below even with no snapping options ON

2014-06-09 10:13 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18924

Description

While digitizing, the cursor Icon has always the snapping pink cross, even when there are no features around or the snapping is turned

OFF.

To reproduce the error, just open a layer, start editing and start draw some polygon or line.

This is does not happen in the stable version, therefore I will mark it as a regression.

Have a look at the image. (the pink cross was below the digitizing icon, but windows screenshots does not keep the cursor)

Associated revisions

Revision f13f6ee1 - 2014-06-10 02:43 PM - Martin Dobias

Fix #10514 (snapping marker visible even if not snapped to anything)

History

#1 - 2014-06-10 05:32 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2014-06-10 05:45 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"f13f6ee10ca8959909abda4b26f26084945da1be".
